openSUSE Security Update : catdoc (openSUSE-2017-669)

Medium Nessus Plugin ID 100714


The remote openSUSE host is missing a security update.


catdoc was updated to version 0.95 to fix the following issues :

- Fix various issues found during fuzzing which may lead to an application crash or have unspecified further impact when the user is tricked into opening specially crafted files (boo#919228)

- Replace charset tables with new ones, published by Unicode Consortium with more permissive license

- Fix lot of segfaults on incorrect or corrupted data


Update the affected catdoc packages.

See Also

Plugin Details

Severity: Medium

ID: 100714

File Name: openSUSE-2017-669.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2017/06/09

Modified: 2017/06/09

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:catdoc, p-cpe:/a:novell:opensuse:catdoc-debuginfo, p-cpe:/a:novell:opensuse:catdoc-debugsource, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/06/09